Index: /trunk/configure.ac
===================================================================
--- /trunk/configure.ac	(revision 584)
+++ /trunk/configure.ac	(revision 1)
@@ -1022,184 +693,8 @@
 
 
-dnl
-dnl  NETWORK OPTIONS
-dnl
-AC_ARG_ENABLE(network,
-        [  --enable-network=[[client|server]]	compile client or server [[no]]],
-        [
-        if test "x$enable_network" = xclient; then
-                mytclient="-DSH_WITH_CLIENT"
-		yulectl_prg=
-		samhainadmin_prg=
-                setpwd_prg="samhain_setpwd"
-                sh_main_prg="samhain"
-		if test "x${sh_have_gmp}" = xyes
-		then
-			LIBS="-lgmp $LIBS"
-		fi
-dnl		AC_CHECK_HEADER(sys/capability.h, 
-dnl				[AC_CHECK_LIB(cap, cap_get_proc,,sh_use_lcaps="no")],
-dnl				[sh_use_lcaps="no"])
-	elif test "x$enable_network" = xserver; then
-                mytclient="-DSH_WITH_SERVER"
-		yulectl_prg="yulectl"
-		samhainadmin_prg="scripts/samhainadmin-gpg.pl scripts/samhainadmin-sig.pl"
-                setpwd_prg="samhain_setpwd"
-                sh_main_prg="yule"
-		if test "x${sh_have_gmp}" = xyes
-		then
-			LIBS="-lgmp $LIBS"
-		fi
-		sh_use_lcaps="undef"
-        elif test "x$enable_network" = xno; then
-                mytclient="-DSH_STANDALONE"
-		yulectl_prg=
-		samhainadmin_prg=
-                setpwd_prg=
-                sh_main_prg="samhain"
-dnl		AC_CHECK_HEADER(sys/capability.h, 
-dnl				[AC_CHECK_LIB(cap, cap_get_proc,,sh_use_lcaps="no")],
-dnl				[sh_use_lcaps="no"])
-	else
-		AC_MSG_ERROR([With --enable-network=WHAT, WHAT must be client, server, or no])
-        fi
-        ],
-        [
-        mytclient="-DSH_STANDALONE"
-	setpwd_prg=
-	yulectl_prg=
-	samhainadmin_prg=
-	sh_main_prg="samhain"
-dnl	AC_CHECK_HEADER(sys/capability.h, 
-dnl			[AC_CHECK_LIB(cap, cap_get_proc,,sh_use_lcaps="no")],
-dnl			[sh_use_lcaps="no"])
-        ],
-)
-
-AC_SUBST(setpwd_prg)
-AC_SUBST(yulectl_prg)
-AC_SUBST(samhainadmin_prg)
-AC_SUBST(sh_main_prg)
-AC_SUBST(mytclient)
-
-# needed for the rpm spec
-clmytclient=`echo ${mytclient} | sed s%\-%%`
-AC_SUBST(clmytclient)
-
-sh_no_gcc_static=no
-
-AC_ARG_ENABLE(static,
-        [  --enable-static		enable static linking [[no]]],
-        [
-        if test x$enable_static = xyes; then
-		if test x"$mynetbsd" = xyes
-		then
-		  tmp_LIBS=`echo $LIBS | sed 's%\-lresolv%%' `
-		  LIBS="${tmp_LIBS}"
-		fi
-		if test x"${sh_auparse}" = xyes
-		then
-		  tmp_LIBS=`echo $LIBS | sed 's%\-lauparse%%' `
-		  LIBS="${tmp_LIBS}"
-		  AC_MSG_WARN([--enable-static: no support for Linux Auditing System])
-		fi
-
-                if test "x$GCC" = "xyes"; 
-		then
-		   if test -n "`echo "$CFLAGS" | grep "\-flto" 2> /dev/null`"
-		   then
-			AC_MSG_ERROR([--enable-static: not compatible with link-time optimisation])
-		   fi
-		   case "$host_os" in
-
-		   	*solaris*)
-				AC_MSG_WARN([option --enable-static ignored on Solaris])
-				;;
-			
-			*)
-				AC_DEFINE([SH_COMPILE_STATIC], [1], [Define if compiling static])
-		   		sh_no_gcc_static=no
-                        	LDFLAGS="$LDFLAGS -static"
-				;;
-		    esac
-                else
-		   AC_DEFINE([SH_COMPILE_STATIC], [1], [Define if compiling static])
-		   sh_no_gcc_static=yes
-                   case "$host_os" in
-
-                        *aix*)
-                                LDFLAGS="$LDFLAGS -bnso -bI:/lib/syscalls.exp"
-                                ;;
-
-                        *hpux*)
-                                LDFLAGS="$LDFLAGS -Wl,-a,archive"
-                                ;;
-
-                        *osf*)
-                                LDFLAGS="$LDFLAGS -non_shared"
-                                ;;
-
-                        *irix*)
-                                LDFLAGS="$LDFLAGS -non_shared"
-                                ;;
-
-                        *sco*)
-                                LDFLAGS="$LDFLAGS -dn"
-                                ;;
-
-                        *sun*)
-                                LDFLAGS="$LDFLAGS -Bstatic"
-                                ;;
-
-                        *solaris*)
-                                LDFLAGS="$LDFLAGS -Bstatic"
-                                ;;
-
-                        *)
-                        echo "***********************************************"
-                        echo "*"
-                        echo "* Don't know how to enable static linking"
-                        echo "* with your compiler. Please set the environment"
-                        echo "* variable LDFLAGS to:"
-                        echo "*     ${LDFLAGS}   + the static linking flag"
-                        echo "* and run configure again"
-                        echo "*"
-                        echo "***********************************************"
-                        ;;
-
-                   esac
-                fi
-        fi
-        ]
-)
-
-if test x"${mytclient}" = x-DSH_STANDALONE -o x"${mytclient}" = x-DSH_WITH_CLIENT;
-then
-dnl For threaded modules
-	ACX_PTHREAD
-	CFLAGS="$CFLAGS $PTHREAD_CFLAGS"
-	LIBS="$PTHREAD_LIBS $LIBS"
-	LDFLAGS="$PTHREAD_CFLAGS $LDFLAGS"
-	CC="$PTHREAD_CC"
-dnl For MODI_TXT
-	CHECK_ZLIB()
-fi
-
-if test x$enable_static = xyes; then
-   :
-else
-   if test x$sh_use_pie = xyes; then
-      LDFLAGS="$LDFLAGS $PIE_LDFLAGS"
-      CFLAGS="$CFLAGS $PIE_CFLAGS"
-   fi
-fi
-AC_CHECK_FUNC(pmap_getmaps, 
-	AC_DEFINE([HAVE_PMAP_GETMAPS], [1], [Define if pmap_getmaps available]), [],[])
-
-	
 #
 # this is from the snort configure.in
 #
-AC_DEFUN([FAIL_MESSAGE],[
+AC_DEFUN(FAIL_MESSAGE,[
    echo 
    echo
@@ -1216,10 +711,10 @@
 
 AC_ARG_WITH(libprelude-prefix,
-          [  --with-libprelude-prefix=PFX	Prefix where libprelude is installed (optional)],
+          [  --with-libprelude-prefix=PFX   Prefix where libprelude is installed (optional)],
           libprelude_config_prefix="$withval", libprelude_config_prefix="")
 
 AC_MSG_CHECKING(whether to use prelude)
 AC_ARG_WITH(prelude,  
-        [  --with-prelude		Prelude IDS support [[no]]],
+        [  --with-prelude	Prelude IDS support [[no]]],
         [
         if test "x${withval}" = "xno"; then
@@ -1244,10 +739,16 @@
 	       case "$sh_libprelude_version" in
 	       0.8*)
-	        AC_MSG_ERROR([You have Libprelude 0.8, which is too old. Version 0.9.6 or higher is required.])
+		sh_prelude_libs=`$LIBPRELUDE_CONFIG --libs | sed 's,\(.*\)\( -L.* -lprelude$\),\2 \1,'`
+		sh_prelude_cflags=`$LIBPRELUDE_CONFIG --cflags`
+		LIBS="$LIBS ${sh_prelude_libs}"
+		CFLAGS="$CFLAGS ${sh_prelude_cflags}"
+		AC_DEFINE(HAVE_LIBPRELUDE,1,[Have libprelude])
+		AC_DEFINE(HAVE_LIBPRELUDE_8,1,[Have libprelude 0.8])
 	       ;;
 	       *)
-	       AM_PATH_LIBPRELUDE([0.9.6],
+	       AM_PATH_LIBPRELUDE([0.9.0],
 	       [
-		AC_DEFINE([HAVE_LIBPRELUDE], [1], [Have libprelude])
+		AC_DEFINE(HAVE_LIBPRELUDE,1,[Have libprelude])
+		AC_DEFINE(HAVE_LIBPRELUDE_9,1,[Have libprelude 0.9])
 		CFLAGS="$CFLAGS $LIBPRELUDE_PTHREAD_CFLAGS"
 		LDFLAGS="$LDFLAGS $LIBPRELUDE_LDFLAGS"
@@ -1255,10 +756,10 @@
 	       ],
 	       [
-		AC_MSG_ERROR([Could not find libprelude (if you are using --enable-static, the static library libprelude.a might be missing).])
+		AC_MSG_ERROR([Could not find libprelude.])
 	       ])
 	       ;;
 	       esac
 	     else
-	       AC_MSG_ERROR([Could not find libprelude-config.])
+	       AC_MSG_ERROR([Could not find libprelude.])
 	     fi
 	fi
@@ -1267,4 +768,87 @@
 		AC_MSG_RESULT(no)
 	]
+)
+
+dnl     AC_MSG_CHECKING(whether to use prelude)
+dnl     AC_ARG_WITH(prelude,  
+dnl	[  --with-prelude       Prelude IDS support [[no]]],
+dnl	[
+dnl	if test "x${withval}" = "xno"; then
+dnl	    AC_MSG_RESULT(no)
+dnl	else
+dnl	  AC_CHECK_PROG(HAVE_PRELUDE_CONFIG, libprelude-config, yes, no)
+dnl	  if test "$HAVE_PRELUDE_CONFIG" = "yes"; then
+dnl		sh_prelude_libs=`libprelude-config --libs | sed 's,\(.*\)\( -L.* -lprelude$\),\2 \1,'`
+dnl		sh_prelude_cflags=`libprelude-config --cflags`
+dnl		LIBS="$LIBS ${sh_prelude_libs}"
+dnl		CFLAGS="$CFLAGS ${sh_prelude_cflags}"
+dnl		AC_DEFINE(HAVE_LIBPRELUDE,1,[Have libprelude])
+dnl	  else
+dnl	     AC_MSG_ERROR([Could not find libprelude-config. Did you specify a valid path?])
+dnl	  fi
+dnl     fi
+dnl	],
+dnl	AC_MSG_RESULT(no)
+dnl     )
+
+AC_ARG_ENABLE(static,
+        [  --enable-static		enable static linking (recommended) [[no]]],
+        [
+        if test x$enable_static = xyes; then
+		if test x"$mynetbsd" = xyes
+		then
+		  tmp_LIBS=`echo $LIBS | sed 's%\-lresolv%%' `
+		  LIBS="${tmp_LIBS}"
+		fi
+		AC_DEFINE(SH_COMPILE_STATIC, 1, [Define if compiling static])
+                if test "x$GCC" = "xyes"; then
+                        LDFLAGS="$LDFLAGS -static"
+                else
+                   case "$host_os" in
+
+                        *aix*)
+                                LDFLAGS="$LDFLAGS -bnso -bI:/lib/syscalls.exp"
+                                ;;
+
+                        *hpux*)
+                                LDFLAGS="$LDFLAGS -Wl,-a,archive"
+                                ;;
+
+                        *osf*)
+                                LDFLAGS="$LDFLAGS -non_shared"
+                                ;;
+
+                        *irix*)
+                                LDFLAGS="$LDFLAGS -non_shared"
+                                ;;
+
+                        *sco*)
+                                LDFLAGS="$LDFLAGS -dn"
+                                ;;
+
+                        *sun*)
+                                LDFLAGS="$LDFLAGS -Bstatic"
+                                ;;
+
+                        *solaris*)
+                                LDFLAGS="$LDFLAGS -Bstatic"
+                                ;;
+
+                        *)
+                        echo "***********************************************"
+                        echo "*"
+                        echo "* Don't know how to enable static linking"
+                        echo "* with your compiler. Please set the environment"
+                        echo "* variable LDFLAGS to:"
+                        echo "*     ${LDFLAGS}   + the static linking flag"
+                        echo "* and run configure again"
+                        echo "*"
+                        echo "***********************************************"
+                        ;;
+
+                   esac
+                fi
+        fi
+        ]
 )
 
@@ -1275,25 +859,27 @@
         [  --with-database=[[mysql|postgresql|oracle|odbc]]	database support [[no]]],
         [
-        if test x"$enable_static" = xyes; then
-                AC_MSG_WARN([With --enable-static,  --with-database may fail to compile.])
-        fi
         if test x"$enable_xml_log" != xyes; then
-                AC_MSG_ERROR([With --with-database,  --enable-xml-log is required as well.])
+                AC_MSG_ERROR([--with-database:  --enable-xml-log required])
         fi
         if test "x${withval}" = "xmysql"; then
-	  if test "x$zlib_found" = "x"
-	  then
-		CHECK_ZLIB()
-	  fi
 	  AC_CHECK_PROG(HAVE_MYSQL_CONFIG, mysql_config, yes, no)
           if test "$HAVE_MYSQL_CONFIG" = "yes"; then
+                echo "mysql_config found"
 		sh_mysql_libs="`mysql_config --libs`"
+		# echo ${sh_mysql_libs}
 		sh_mysql_libs="`eval echo ${sh_mysql_libs}`"
+		# echo $mysql_libs
+		# save_libs="$LIBS"
+                # LIBS="$LIBS `mysql_config --libs`"
+		# echo $LIBS
 		LIBS="$LIBS ${sh_mysql_libs}"
+		echo $LIBS
 		sh_mysql_cflags="`mysql_config --cflags`"
 		sh_mysql_cflags="`eval echo ${sh_mysql_cflags}`"
+                # CFLAGS="$CFLAGS `mysql_config --cflags`"
+		# CFLAGS="$CFLAGS ${sh_mysql_cflags}"
 		CPPFLAGS="$CPPFLAGS ${sh_mysql_cflags}"
 	  else
-		AC_MSG_CHECKING([for MySQL in /usr /usr/local /usr/local/mysql MYSQL_HOME])
+		AC_MSG_CHECKING(for MySQL in /usr /usr/local /usr/local/mysql MYSQL_HOME)
 		mysql_directory="/usr /usr/local /usr/local/mysql ${MYSQL_HOME}"
 
@@ -1359,25 +945,24 @@
 		CPPFLAGS="$CPPFLAGS -I${MYSQL_INC_DIR}"
 	  fi  
-          AC_DEFINE([WITH_MYSQL], [1], [Use mysql as database])
-          AC_DEFINE([WITH_DATABASE], [1], [Use a database])
-          if test "x$zlib_found" = "xyes"
+          AC_DEFINE(WITH_MYSQL)
+          AC_DEFINE(WITH_DATABASE)
+          AC_CHECK_LIB(z, inflateEnd, [zlib_cv_libz=yes], [zlib_cv_libz=no])
+	  AC_MSG_CHECKING(for zlib)
+          if test "$zlib_cv_libz" = "yes"
           then
                 LIBS="$LIBS -lz -lm"
+                AC_MSG_RESULT(ok)
           else
+		AC_MSG_RESULT(failed)
 		echo
-		
-		echo " Mysql library was not found or not useable."
-		echo " Possible reasons include:"
-		echo "  - an old, incompatible version compiled from source"
-		echo "  - on Solaris, libmysql is compiled with the Solaris"
-		echo "    compiler, thus the mysql_config script provides"
-		echo "    compiler options unsuitable for gcc (move"
-		echo "    mysql_config out of your PATH)"
-		echo " For other problems, check config.log for the error"
+		echo " Either the mysql or the zlib library was not found"
+		echo " or was unusable, maybe because an old, incompatible"
+		echo " version is installed on your system, eg compiled from"
+		echo " source long time ago. See config.log for the error"
 		echo " message from the compiler."
-		echo
-		echo " If your mysql libraries are installed in an"
-		echo " unusual place, use --with-libs=-L/path/to/libdirectory"
-		echo " where libdirectory is the directory holding libmysql."
+		echo " Please review your installed mysql and zlib libraries"
+		echo " and/or use --with-libs=-L/path/to/libdirectory"
+		echo " where libdirectory is the directory holding libmysql"
+		echo " or libz."
 		if test x"$enable_static" = xyes; then
 		  echo " Note that for compiling a static binary, you need"
@@ -1385,10 +970,10 @@
 		fi
 		echo
-		AC_MSG_ERROR([Could not find libmysql, or it is not useable.]) 
+		AC_MSG_ERROR([libmysql or zlib not found or unuseable]) 
           fi
 	  AC_CHECK_HEADERS(mysql/mysql.h)
         elif test "x${withval}" = "xpostgresql"; then
-          AC_DEFINE([WITH_POSTGRES], [1], [Use postgres as database])
-          AC_DEFINE([WITH_DATABASE], [1], [Use a database])
+          AC_DEFINE(WITH_POSTGRES)
+          AC_DEFINE(WITH_DATABASE)
 	  #
 	  PGCONF="no"
@@ -1419,12 +1004,4 @@
             if test -z "$PGSQL_DIR"; then
   	      for i in $pgsql_directory; do 
-    	        if test -r $i/include/postgresql/libpq-fe.h; then
-                  PGSQL_INC_DIR=$i/include
-		  PGSQL_DIR=$i
-                fi
-              done
-	    fi
-            if test -z "$PGSQL_DIR"; then
-  	      for i in $pgsql_directory; do 
     	        if test -r $i/include/libpq-fe.h; then
                   PGSQL_INC_DIR=$i/include
@@ -1437,10 +1014,10 @@
               tmp=""
               for i in $pgsql_directory; do
-                tmp="$tmp $i/include $i/include/pgsql $i/include/postgresql"
+                tmp="$tmp $i/include $i/include/pgsql"
               done
               FAIL_MESSAGE("PostgreSQL header file (libpq-fe.h)", $tmp)
 	    fi
 
-	    for i in lib lib/pgsql lib/postgresql; do
+	    for i in lib lib/pgsql; do
       		str="$PGSQL_DIR/$i/libpq.*"
       		for j in `echo $str`; do
@@ -1454,5 +1031,5 @@
 	    if test -z "$PGSQL_LIB_DIR"; then
 	      for ff in $pgsql_directory; do
-		for i in lib lib/pgsql lib/postgresql; do
+		for i in lib lib/pgsql; do
       		  str="$ff/$i/libpq.*"
       		  for j in `echo $str`; do
@@ -1469,5 +1046,5 @@
 	       tmp=""
 	       for i in $pgsql_directory; do
-		   tmp="$i/lib $i/lib/pgsql $i/lib/postgresql"
+		   tmp="$i/lib $i/lib/pgsql"
 	       done
 	       FAIL_MESSAGE("postgresql library libpq", $tmp)
@@ -1485,5 +1062,4 @@
 	    CPPFLAGS="$CPPFLAGS -I${PGSQL_INC_DIR}"
 	    AC_CHECK_HEADERS(pgsql/libpq-fe.h)
-	    AC_CHECK_HEADERS(postgresql/libpq-fe.h)
 	  else
 	    pg_lib_dir=`${PGCONF} --libdir`
@@ -1535,60 +1111,32 @@
           CPPFLAGS="${CPPFLAGS} -I${ODBC_INC_DIR}"
           LIBS="${LIBS} -L${ODBC_LIB_DIR} -l$ODBC_LIB"
-          AC_DEFINE([WITH_ODBC], [1], [Use odbc as database])
-          AC_DEFINE([WITH_DATABASE], [1], [Use a database])
+          AC_DEFINE(WITH_ODBC)
+          AC_DEFINE(WITH_DATABASE)
 
 	elif test "x${withval}" = "xoracle"; then
-
-	  AC_MSG_CHECKING(for oracle in ORACLE_HOME /usr/local /usr)
-
+	  AC_MSG_CHECKING(for oracle in /usr /usr/local ORACLE_HOME)
 	  oracle_directory="/usr /usr/local ${ORACLE_HOME}"
   	  for i in $oracle_directory; do 
-
-	      ff=`find $i -name oci.h 2>/dev/null | tail -1`
-	      if test "x$ff" = "x"; then
-	      	 :
-	      else
-		 ORACLE_INC=`dirname $ff`
-	      fi
-
-	      fg=`find $i -name libclntsh.so 2>/dev/null | tail -1`
-	      if test "x$fg" = "x"; then
-	      	 :
-	      else
-		 ORACLE_LIB=`dirname $fg`
-	      fi
-
-           done
+    	    if test -r $i/rdbms/demo/oci.h; then
+            ORACLE_DIR=$i
+          fi  
+          done
 	  
-          if test -z "$ORACLE_INC"; then
-
+          if test -z "$ORACLE_DIR"; then
               tmp=""
               for i in $oracle_directory; do
-                tmp="$tmp $i"
+                tmp="$tmp $i/rdbms/demo"
               done
-              FAIL_MESSAGE("OCI header file (oci.h) please define ORACLE_INC directory where oci.h resides", $tmp)
-
-	  elif test -z "$ORACLE_LIB"; then
-
-              tmp=""
-              for i in $oracle_directory; do
-                tmp="$tmp $i"
-              done
-              FAIL_MESSAGE("OCI library file (libclntsh.so) please define ORACLE_LIB directory where libclntsh.so resides", $tmp)
-
-          else
-
-            ORACLE_CPP_FLAGS="-I$ORACLE_INC"
-            ORACLE_LIB_DIR="$ORACLE_LIB"
-
-            AC_MSG_RESULT([$ORACLE_INC $ORACLE_LIB])
+              FAIL_MESSAGE("OCI header file (oci.h)", $tmp)
+          else 
+            for i in rdbms/demo rdbms/public network/public; do
+              ORACLE_CPP_FLAGS="$ORACLE_CPP_FLAGS -I$ORACLE_DIR/$i"
+            done
+            ORACLE_LIB_DIR="$ORACLE_DIR/lib"
+            AC_MSG_RESULT(yes)
 
             CPPFLAGS="${CPPFLAGS} ${ORACLE_CPP_FLAGS}"
 
             ORACLE_LIBS="-lclntsh"
-
-	    if test -r $ORACLE_LIB_DIR/libnnz11.so; then
-	      ORACLE_LIBS="${ORACLE_LIBS} -lnnz11"
-	    fi
             if test -r $ORACLE_LIB_DIR/libwtc9.so; then
               ORACLE_LIBS="${ORACLE_LIBS} -lwtc9"
@@ -1597,13 +1145,10 @@
             fi
             LIBS="${LIBS} -L${ORACLE_LIB_DIR} ${ORACLE_LIBS}"
-	    if test "x$GCC" != "xyes"; then
-	      CFLAGS="${CFLAGS} -fno-strict-aliasing"
-	    fi
           fi
-          AC_DEFINE([WITH_ORACLE], [1], [Use oracle as database])
-          AC_DEFINE([WITH_DATABASE], [1], [Use a database])
+          AC_DEFINE(WITH_ORACLE)
+          AC_DEFINE(WITH_DATABASE)
 
         else
-          AC_MSG_ERROR([Option --with-database=database used with unsupported database ${withval}])
+          AC_MSG_ERROR([--with-database:  unsupported database ${withval}])
         fi
         ]
@@ -1611,14 +1156,14 @@
 
 AC_ARG_WITH(console,
-        [  --with-console=PATH           set path to console device [[/dev/console]]],
+        [  --with-console=PATH          set path to console device [[/dev/console]]],
         [
 	if test "x${withval}" != xno; then
         	mycons="$withval"
-        	AC_DEFINE_UNQUOTED([DEFAULT_CONSOLE], [_("${mycons}")], [] )
+        	AC_DEFINE_UNQUOTED(DEFAULT_CONSOLE, _("${mycons}") )
 	fi
         ])
 
 AC_ARG_WITH(altconsole,
-        [  --with-altconsole=PATH        set path to second console device [[none]]],
+        [  --with-altconsole=PATH       set path to second console device [[none]]],
         [
 	if test "x${withval}" != xno; then
@@ -1629,12 +1174,12 @@
 	],
         [myaltcons="NULL"])
-AC_DEFINE_UNQUOTED([ALT_CONSOLE], [_("${myaltcons}")], [] )
+AC_DEFINE_UNQUOTED(ALT_CONSOLE, _("${myaltcons}") )
 
 AC_ARG_WITH(timeserver,
-        [  --with-timeserver=HOST        set host address for time server [[none]]],
+        [  --with-timeserver=HOST       set host address for time server [[none]]],
         [
 	if test "x${withval}" != xno; then
         	mytimeserv="$withval"
-        	AC_DEFINE([HAVE_NTIME], [1], [use time server])
+        	AC_DEFINE(HAVE_NTIME)
 	else
 		mytimeserv="NULL"
@@ -1642,12 +1187,12 @@
         ],
         mytimeserv="NULL")
-AC_DEFINE_UNQUOTED([DEFAULT_TIMESERVER], [_("${mytimeserv}")], []  )
+AC_DEFINE_UNQUOTED(DEFAULT_TIMESERVER, _("${mytimeserv}") )
 
 AC_ARG_WITH(alttimeserver,
-        [  --with-alttimeserver=HOST     set address for backup time server [[none]]],
+        [  --with-alttimeserver=HOST    set address for backup time server [[none]]],
         [
 	if test "x${withval}" != xno; then
         	myalttimeserv="$withval"
-        	AC_DEFINE([HAVE_NTIME], [1], [use time server])
+        	AC_DEFINE(HAVE_NTIME)
 	else
 		myalttimeserv="NULL"
@@ -1655,5 +1200,5 @@
         ],
         myalttimeserv="NULL")
-AC_DEFINE_UNQUOTED([ALT_TIMESERVER], [_("${myalttimeserv}")], []  )
+AC_DEFINE_UNQUOTED(ALT_TIMESERVER, _("${myalttimeserv}") )
 
 AC_ARG_ENABLE(login-watch,
@@ -1661,5 +1206,5 @@
         [
         if test "x${enable_login_watch}" = xyes; then
-                AC_DEFINE([SH_USE_UTMP], [1], [watch for login/logout])
+                AC_DEFINE(SH_USE_UTMP)
         fi
         ]
@@ -1667,72 +1212,17 @@
 
 AC_ARG_ENABLE(mounts-check,
-        [  --enable-mounts-check		check mount options on filesystems [[no]]],
+        [  --enable-mounts-check       check mount options on filesystems [[no]]],
         [
         if test "x${enable_mounts_check}" = xyes; then
-                AC_DEFINE([SH_USE_MOUNTS], [1], [check mount options])
+                AC_DEFINE(SH_USE_MOUNTS)
         fi
         ]
 )
 
-AC_ARG_ENABLE(logfile-monitor,
-        [  --enable-logfile-monitor		monitor logfiles [[no]]],
-        [
-        if test "x${enable_logfile_monitor}" = xyes; then
-	   AC_CHECK_HEADER(pcre.h,
-                           [ 
-			   AC_DEFINE([USE_LOGFILE_MONITOR], [1], [Define if you want the logfile monitor module.])
-			   LIBS="-lpcre $LIBS"
-			   ],
-			   [
-				AC_CHECK_HEADER(pcre/pcre.h,
-			   	[
-			   	AC_DEFINE([USE_LOGFILE_MONITOR], [1], [Define if you want the logfile monitor module.])
-				AC_DEFINE([HAVE_PCRE_PCRE_H], [1], [Define if you have pcre/pcre.h.])
-			   	LIBS="-lpcre $LIBS"
-			   	],
-	                   	[AC_MSG_ERROR([The --enable-logfile-monitor option requires libpcre. For compiling the pcre development package is needed.])]
-				)
-			  ]
-	   )
-	   AC_CHECK_LIB(pcre, pcre_dfa_exec, [
-	   		      AC_DEFINE([HAVE_PCRE_DFA_EXEC], [1], [Define if you have pcre_dfa_exec])
-			      ], [
-			      AC_MSG_WARN([pcre_dfa_exec not available])
-			      ])
-        fi
-        ]
-)
-
-
-AC_ARG_ENABLE(process-check,
-        [  --enable-process-check	check processes [[no]]],
-        [
-        if test "x${enable_process_check}" = xyes; then
-	  	AC_CHECK_LIB([rt], [sched_getparam], sh_lrt=yes, sh_lrt=no)
-		if test x"$sh_lrt" = xyes; then
-		   LIBRT=-lrt
-		else
-		   LIBRT=
-		fi
-		LIBS="$LIBS $LIBRT"
-                AC_DEFINE([SH_USE_PROCESSCHECK], [1], [Define if you want to check processes])
-        fi
-        ]
-)
-
-AC_ARG_ENABLE(port-check,
-        [  --enable-port-check		check ports [[no]]],
-        [
-        if test "x${enable_port_check}" = xyes; then
-                AC_DEFINE([SH_USE_PORTCHECK], [1], [Define if you want to check ports])
-        fi
-        ]
-)
-
 AC_ARG_ENABLE(userfiles,
-       [  --enable-userfiles		check for users' config files [[no]]],
+       [  --enable-userfiles           check for users' config files [[no]]],
        [
        if test "x${enableval}" = "xyes"; then
-               AC_DEFINE([SH_USE_USERFILES], [1], [check user files])
+               AC_DEFINE(SH_USE_USERFILES)
        fi
        ]
@@ -1744,11 +1234,9 @@
         if test "x${enable_debug}" = "xyes"; then
                 if test "x${mydebugflag}" != "xyes"; then
-                        AC_DEFINE([MEM_DEBUG], [1], [] )
+                        AC_DEFINE(MEM_DEBUG)
                 fi
-                AC_DEFINE([WITH_TPT], [1], [] )
-                AC_DEFINE([SL_DEBUG], [1], [] )
-		AC_DEFINE([DNMALLOC_CHECKS], [1], [Debug dnmalloc])
-		AC_DEFINE([PARANOIA], [0], [Paranoia level for dnmalloc])
-                AC_DEFINE([SL_FAIL_ON_ERROR], [1], [] )
+                AC_DEFINE(WITH_TPT)
+                AC_DEFINE(SL_DEBUG)
+                AC_DEFINE(SL_FAIL_ON_ERROR)
                 if test "x${myneedg3}" = "xyes"; then
                         mydebugdef="-g3"
@@ -1757,21 +1245,4 @@
                 fi
                 mydebugit="yes"
-	elif test "x${enable_debug}" = "xmem"; then
-                AC_DEFINE([MEM_DEBUG], [1], [] )
-		AC_DEFINE([SH_ABORT_ON_ERROR], [1], [Use abort])
-                if test "x${myneedg3}" = "xyes"; then
-                        mydebugdef="-g3"
-                else
-                        mydebugdef="-g"
-                fi
-		mydebugit="yes"
-	elif test "x${enable_debug}" = "xgdb"; then
-	     	AC_DEFINE([SH_ABORT_ON_ERROR], [1], [Use abort])
-                if test "x${myneedg3}" = "xyes"; then
-                        mydebugdef="-g3"
-                else
-                        mydebugdef="-g"
-                fi
-		mydebugit="yes"
         fi
         ]
@@ -1779,71 +1250,4 @@
 AC_SUBST(mydebugdef)
 
-if test "x${enable_asm_ok}" = "xyes"; then
-   sh_enable_asm=yes
-else
-   sh_enable_asm=no
-fi
-AC_ARG_ENABLE(asm,
-        [  --disable-asm			disable asm inline code],
-        [
-        if test "x${enable_asm}" = xno; then
-	    sh_enable_asm=no
-	fi
-	]
-)
-
-if test "x${samhain_64_asm}" = xyes; then
-   	if test "x${sh_enable_asm}" = xyes; then
-	   AC_DEFINE([TIGER_OPT_ASM], [1], [Define to use tiger x86_64 optimized assembly])
-	fi
-fi
-
-AC_ARG_ENABLE(ipv6,
-        [  --disable-ipv6			disable ipv6 support],
-        [
-        if test "x${enable_ipv6}" = xno; then
-		AC_DEFINE([USE_IPV4], [1], [Define if you do not want IPv6])
-        fi
-        ]
-)
-
-if test "x${dnmalloc_ok}" = "xyes"; then
-   sh_dnmalloc_enabled=yes
-else
-   sh_dnmalloc_enabled=no
-fi
-
-AC_ARG_ENABLE(dnmalloc,
-        [  --disable-dnmalloc			disable dnmalloc],
-        [
-        if test "x${enable_dnmalloc}" = xno; then
-		sh_dnmalloc_enabled=no
-	else
-		sh_dnmalloc_enabled=yes	
-        fi
-        ]
-)
-
-dnl Handle the problem that static linking against libc.a on Linux
-dnl produces the error "multiple definitions of malloc"
-dnl
-if test "x$sh_dnmalloc_enabled" = "xyes"; then
-   if test x$enable_static = xyes; then
-      if test "x$sh_no_gcc_static" = "xyes"; then
-      	 sh_dnmalloc_enabled=no
-      else
-	 if test "x$with_gnu_ld" = "xyes"; then
-      	   LDFLAGS="$LDFLAGS -Wl,--allow-multiple-definition"
-	 else
-           sh_dnmalloc_enabled=no
-	 fi
-      fi
-   fi
-fi
-
-if test "x${sh_dnmalloc_enabled}" = xno; then
-   AC_DEFINE([USE_SYSTEM_MALLOC], [1], [Define if you want to use the system malloc])
-fi
-
 AC_ARG_ENABLE(ptrace,
         [  --enable-ptrace		use anti-debugger options [[no]]],
@@ -1851,5 +1255,5 @@
         if test "x${enable_ptrace}" = xyes; then
                 if test "x$mydebugit" != "xyes"; then
-                        AC_DEFINE([SCREW_IT_UP], [1], [anti debug])
+                        AC_DEFINE(SCREW_IT_UP)
                 fi
         fi
@@ -1863,16 +1267,10 @@
   fi
 
-dnl  -W is the older name for -Wextra
-
-  
+dnl  if test ! -z "`echo "$CFLAGS" | grep "\-O2" 2> /dev/null`" ; then
+dnl    CFLAGS=`echo $CFLAGS | sed 's%\-O2%\-O3%' `
+dnl  fi
+
   if test -z "`echo "$CFLAGS" | grep "\-Wall" 2> /dev/null`" ; then
-     case "$host_os" in
-     	*solaris*)
-	   CFLAGS="$CFLAGS -Wall -W -Wno-missing-braces "
-	   ;;
-	*)
-	   CFLAGS="$CFLAGS -Wall -W -Werror=implicit-function-declaration "
-	   ;;
-     esac
+    CFLAGS="$CFLAGS -Wall -W "
   fi
 
@@ -1881,5 +1279,5 @@
    if test -z "`echo "$CFLAGS" | grep "\-fno\-strength\-reduce" 2> /dev/null`" 
    then
-	GCC_FLAG_CHECK([-fno-strength-reduce])
+        CFLAGS="$CFLAGS -fno-strength-reduce"
    fi
   fi
@@ -1889,19 +1287,9 @@
    if test -z "`echo "$CFLAGS" | grep "\-fno\-omit\-frame\-pointer" 2> /dev/null`" 
    then
-        GCC_FLAG_CHECK([-fno-omit-frame-pointer])
+        CFLAGS="$CFLAGS -fno-omit-frame-pointer"
    fi
   fi
 
 fi
-
-dnl Test whether gcc supports -Wno-empty-body
-dnl Suppresses warnings from glibc pthread_cleanup_pop
-dnl
-GCC_FLAG_CHECK([-Wno-empty-body])
-
-dnl This one is for clang
-dnl
-GCC_FLAG_CHECK([-Wno-invalid-source-encoding])
-
 
 AC_MSG_CHECKING([which random module to use])
@@ -1920,13 +1308,12 @@
     * )
       AC_MSG_RESULT([invalid argument])
-      AC_MSG_ERROR([Option --with-rnd=module used with unsupported module ${use_static_rnd}])
+      AC_MSG_ERROR([--with-rnd: there is no random module ${use_static_rnd}])
       ;;
 esac
 
-dnl for entropy gathering daemon
 AC_ARG_WITH(egd-socket,
     [  --with-egd-socket=NAME  	EGD socket name],
             egd_socket_name="$withval", egd_socket_name="" )
-AC_DEFINE_UNQUOTED([EGD_SOCKET_NAME], [_("$egd_socket_name")], []  )
+AC_DEFINE_UNQUOTED(EGD_SOCKET_NAME, _("$egd_socket_name") )
 
 dnl
@@ -1940,9 +1327,9 @@
   ;;
 egd)
-  AC_DEFINE([HAVE_EGD_RANDOM], [1], [entropy gathering daemon])
+  AC_DEFINE(HAVE_EGD_RANDOM)
   try_dev_random=no
   ;;
 unix)
-  AC_DEFINE([HAVE_UNIX_RANDOM], [1], [unix entropy gathering])
+  AC_DEFINE(HAVE_UNIX_RANDOM)
   try_dev_random=no
   ;;
@@ -1953,21 +1340,21 @@
   AC_MSG_CHECKING(whether /dev/random exists)
     if test -r "/dev/srandom" && test -c "/dev/srandom"; then
-        AC_DEFINE([HAVE_URANDOM], [1], [] )
-        AC_DEFINE_UNQUOTED([NAME_OF_DEV_RANDOM], [_("/dev/srandom")], []  )
+        AC_DEFINE(HAVE_URANDOM)
+        AC_DEFINE_UNQUOTED(NAME_OF_DEV_RANDOM, _("/dev/srandom") )
         AC_MSG_RESULT(yes)
         if test -r "/dev/urandom" && test -c "/dev/urandom"; then
-          AC_DEFINE_UNQUOTED([NAME_OF_DEV_URANDOM], [_("/dev/urandom")], []  )
+          AC_DEFINE_UNQUOTED(NAME_OF_DEV_URANDOM, _("/dev/urandom") )
         fi
     else
         if test -r "/dev/random" && test -c "/dev/random"; then
-                AC_DEFINE([HAVE_URANDOM], [1], [] )
-                AC_DEFINE_UNQUOTED([NAME_OF_DEV_RANDOM], [_("/dev/random")], []  )
+                AC_DEFINE(HAVE_URANDOM)
+                AC_DEFINE_UNQUOTED(NAME_OF_DEV_RANDOM, _("/dev/random") )
                 AC_MSG_RESULT(yes)
                 if test -r "/dev/urandom" && test -c "/dev/urandom"; then
-                   AC_DEFINE_UNQUOTED([NAME_OF_DEV_URANDOM], [_("/dev/urandom")], []  )
+                   AC_DEFINE_UNQUOTED(NAME_OF_DEV_URANDOM, _("/dev/urandom") )
                 fi
         else
                 AC_MSG_RESULT(no)
-                AC_DEFINE([HAVE_UNIX_RANDOM], [1], [unix entropy gathering])
+                AC_DEFINE(HAVE_UNIX_RANDOM)
         fi
     fi
